# Uses of Enum Class
org.gitana.platform.client.job.JobLogEntryType

Packages that use JobLogEntryType
Package
Description
org.gitana.platform.client.job

## Uses of JobLogEntryType in org.gitana.platform.client.job

Methods in org.gitana.platform.client.job that return JobLogEntryType
Modifier and Type
Method
Description
`JobLogEntryType`
JobLogEntry.`getType()`
`static JobLogEntryType`
JobLogEntryType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static JobLogEntryType[]`
JobLogEntryType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.gitana.platform.client.job with parameters of type JobLogEntryType
Modifier and Type
Method
Description
`void`
JobLogEntry.`setType(JobLogEntryType type)`